Compare commits

...
Sign in to create a new pull request.

3 commits

Author SHA1 Message Date
Michal Minář
0330c0385b
New upstream version 3.3.8
Signed-off-by: Michal Minář <miminar@redhat.com>
2017-09-11 10:20:36 +02:00
Fedora Release Engineering
1d2e402127 - Rebuilt for https://fedoraproject.org/wiki/Fedora_26_27_Mass_Rebuild 2017-05-15 20:51:46 +00:00
Michal Minář
c937bdb503
New upstream version 3.3.7
Resolves: bz#1397456
Resolves: bz#1424546
Resolves: bz#1418493

Signed-off-by: Michal Minář <miminar@redhat.com>
2017-04-23 20:12:25 +02:00
5 changed files with 56 additions and 18 deletions

2
.gitignore vendored
View file

@ -1 +1 @@
/wt-3.3.6-free.tar.xz
/wt-3.3.8-free.tar.xz

View file

@ -1 +1 @@
22537188d09d50c218c373026ee482e0 wt-3.3.6-free.tar.xz
SHA512 (wt-3.3.8-free.tar.xz) = a80f54b8e045c086b5368c23f031b5eba66596b478f07c38eddd9bd4ec754dea036733d388619793ae5d9b0172d0217a30086234abdbe0e8c3efd5e2489b269d

View file

@ -3,18 +3,44 @@
set -euo pipefail
IFS=$'\n\t'
NAME="wt"
VERSION=$1
readonly NAME="wt"
readonly USAGE="Usage: ${BASH_SOURCE[0]} (-h | <VERSION>)
Extracts archive of ${NAME} of given VERSION and removes all unfree source code
and packs the resulting tree into ${NAME}-VERSION.tar.xz compressed archive.
Options:
-h Print this help and exit."
if [[ $# -lt 1 ]]; then
echo "Missing version argument!" >&2
exit 1
fi
if [[ "$1" == "-h" ]]; then
echo "${USAGE}"
exit 0
fi
readonly VERSION="$1"
readonly TARGET="${NAME}-${VERSION}-free.tar.xz"
tmp=`mktemp -d`
tar -xzvf $VERSION.tar.gz -C $tmp
pushd $tmp
pushd $NAME-$VERSION/src/Wt/Dbo/backend
rm -r ibpp
popd # backend
rm -r $NAME-$VERSION/resources/jPlayer
tar -cJvf $NAME-$VERSION-free.tar.xz $NAME-$VERSION
popd # tmp
mv $tmp/$NAME-$VERSION-free.tar.xz .
rm -r $tmp
function cleanup() {
rm -r "${tmp}"
}
trap cleanup EXIT
tar -xzvf "${NAME}-${VERSION}.tar.gz" -C "${tmp}"
pushd "${tmp}"
pushd "${NAME}-${VERSION}/src/Wt/Dbo/backend"
rm -r ibpp
popd # backend
rm -r "${NAME}-${VERSION}/resources/jPlayer"
tar -cJvf "${TARGET}" "${NAME}-${VERSION}"
popd # tmp
mv "${tmp}/${NAME}-${VERSION}-free.tar.xz" .
printf "-------------------------------------------\n"
printf "To upload the archive, run:\n\n fedpkg upload %s\n\n" "${TARGET}"

22
wt.spec
View file

@ -5,8 +5,8 @@
%global WTRUNGROUP apache
Name: wt
Version: 3.3.6
Release: 3%{?dist}
Version: 3.3.8
Release: 1%{?dist}
Summary: C++ library for developing web applications
Group: Development/Libraries
@ -14,8 +14,8 @@ Group: Development/Libraries
License: GPLv2 and Boost and MIT and (Boost or MIT) and BSD and zlib
URL: http://www.webtoolkit.eu/wt
# Following archive was made from upstream tarball downloaded from
# https://github.com/kdeforche/wt/archive/3.3.6.tar.gz
# by running ./wt-generate-tarball.sh 3.3.5-rc2 from tarball's directory
# https://github.com/kdeforche/wt/archive/3.3.8.tar.gz
# by running ./wt-generate-tarball.sh 3.3.8 from tarball's directory
Source0: %{name}-%{version}-free.tar.xz
Source1: %{name}-%{version}-PACKAGE-LICENSING
# Explain why the locale example is renamed to timezone.
@ -172,7 +172,7 @@ make doc
%install
pushd wt-build
make install DESTDIR=$RPM_BUILD_ROOT
make install DESTDIR=${RPM_BUILD_ROOT}
install -v -m 0755 -d ${RPM_BUILD_ROOT}/%{_sysconfdir}/%{name}
cp -v wt_config.xml ${RPM_BUILD_ROOT}/%{_sysconfdir}/%{name}
@ -195,6 +195,8 @@ do # create a symlink for each feature example pointing on resources dir
done
popd # examples
popd # wt-build
install -vm 0755 -d ${RPM_BUILD_ROOT}/%{_datadir}/cmake/Modules
install -vm 0644 cmake/FindWt.cmake ${RPM_BUILD_ROOT}/%{_datadir}/cmake/Modules
install -vm 644 %{SOURCE2} \
${RPM_BUILD_ROOT}%{_libdir}/Wt/examples/feature/timezone/README.fedora
@ -272,6 +274,7 @@ popd
%dir %{_includedir}/Wt
%{_includedir}/Wt/*
%{_libdir}/*.so
%{_datadir}/cmake/Modules/*.cmake
%files examples
%dir %{_libdir}/Wt
@ -293,6 +296,15 @@ popd
%{_defaultdocdir}/%{name}-doc/examples/*
%changelog
* Fri Sep 08 2017 Michal Minar <miminar@redhat.com> 3.3.8-1
- New upstream version 3.3.8
* Mon May 15 2017 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.3.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_27_Mass_Rebuild
* Sun Apr 23 2017 Michal Minar <miminar@redhat.com> 3.3.7-1
- New upstream version 3.3.7
* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.3.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild